
#ifndef DRVHMC5883L_H
#define	DRVHMC5883L_H

typedef struct
   {      int data[3];
   } HMC5883L;

#define ConfRegiA 0x00
#define ConfRegiB 0x01
#define ModeRegi 0x02
#define RegiXMSB 0x03
#define RegiXLSB 0x04
#define RegiZMSB 0x05
#define RegiZLSB 0x06
#define RegiYMSB 0x07
#define RegiYLSB 0x08
#define ADDR_HMC5883L 0x3C

void InitHMC5883L(void);//Initialise le HMC5883L
unsigned char GetWhoAmIHMC5883L(void); //Renvoi la valeur du whoiam
char getRawHMC5883LData(HMC5883L * ptrHMC5883L); //Permet de récupéré les coordonnées X,Y,Z
char getCompensatedHMC5883LData(HMC5883L * ptrHMC5883L); //Permet de récupéré les coordonnées X,Y,Z
//void calHMC5883L (HMC5883L *);

extern HMC5883L magnetometre;
#endif	/* DRVHMC5883L_H */

